Warning: call_user_func_array() etc. | Fatal error: Call to etc. (Créer un compte)

  • Statut : non résolu
6 sujets de 1 à 6 (sur un total de 6)
  • Auteur
    Messages
  • #485188
    dracou
    Participant
    Initié WordPress
    17 contributions

    Bonjour,

    Ma configuration WP actuelle
    – Version de WordPress : 2.9.2 (je crois… je pense que l’upgrade a raté)
    – Version de PHP/MySQL : Php 4 à 6 supporté / MySQL 5
    – Thème utilisé : Mandigo theme
    – Extensions en place : si-contact-form et spam-stopper
    – Nom de l’hebergeur : OVH, perso
    – Adresse du site : http://www.jb-nancy.be

    Problème(s) rencontré(s) :

    Lorsque je tente d’accéder à http://www.jb-nancy.be/wp-login.php, j’obtiens l’erreur suivante:

    Warning: call_user_func_array() [function.call-user-func-array]: First argumented is expected to be a valid callback, ‘__return_zero’ was given in /homez.139/jbnancy/www/wp-includes/plugin.php on line 166

    Fatal error: Call to undefined function: is_multisite() in /homez.139/jbnancy/www/wp-login.php on line 85

    Je ne comprends pas…

    #736348
    dracou
    Participant
    Initié WordPress
    17 contributions

    Sérieusement, personne ne sait m’aider? :-(

    #736349
    Franck (fge)
    Modérateur
    Maître WordPress
    9572 contributions

    La première chose à faire et de passer en PHP5 (Il semble que tu sois en PHP 4.4.9). On poste est épinglé sur le sujet pour t’aider en tête du forum.

    Si tu viens de faire l’installation, il peut s’agir d’un problème lors du transfert des fichiers. Dans ce cas, essaye de supprimer les fichiers cités (que ceux-là) puis de les retransférer par FTP.

    #736350
    dracou
    Participant
    Initié WordPress
    17 contributions
    fge wrote:
    La première chose à faire et de passer en PHP5 (Il semble que tu sois en PHP 4.4.9). On poste est épinglé sur le sujet pour t’aider en tête du forum.

    Je suis chez OVH…Comment est ce que je « force » pour passer en php5? Ne l’étais-je pas déjà?

    Si tu viens de faire l’installation, il peut s’agir d’un problème lors du transfert des fichiers.

    Non…

    Dans ce cas, essaye de supprimer les fichiers cités (que ceux-là) puis de les retransférer par FTP.

    Et si j’essaye quand même, ça risque pas de me niquer tout mon système?

    #736351
    dracou
    Participant
    Initié WordPress
    17 contributions

    Problème résolu.
    En effet, j’ai remplacé plugin.php et wp-login.php par la version que j’avais sur mon pc et ça refonctionne!

    Thx

    #736352
    Franck (fge)
    Modérateur
    Maître WordPress
    9572 contributions

    Je suis chez OVH…Comment est ce que je « force » pour passer en php5? Ne l’étais-je pas déjà?

    Si tu veux vérifier ta version de PHP il suffit de faire un fichier PHP contenant

    En appelant à partir d’un navigateur, tu auras ainsi toute la configuration de PHP dont la version.
    Pour forcer le passage comme je le disais, il faut aller voir le post épinglé sur le sujet. Le contenu du fichier .htaccess diffère en fonction des hébergeurs.

6 sujets de 1 à 6 (sur un total de 6)
  • Vous devez être connecté pour répondre à ce sujet.